=== bardecode/Makefile ===
include build/top.make

BINARY = bardecode
BINARY_EXT = $(X_LIBEXT)
DEPS = 

CPPFLAGS += -I bardecode
$($(X_MODULE)_OUTPUT)/CXXFLAGS := -fpermissive

include build/bottom.make
