=== debian/changelog ===
exactimage (1.2.1-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:45 +0100

exactimage (1.2.1-1) unstable; urgency=medium

  * New Upstream Version
  * Update debian/copyright
  * debian/control:
    - Add support for HEIF image format via libheif-dev

 -- Sven Eckelmann <sven@narfation.org>  Thu, 16 Jan 2025 19:02:50 +0100

exactimage (1.0.2-12) unstable; urgency=medium

  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf
    - Explicitly depend on python3-setuptools for distutils.sysconfig module
      (Closes: #1080594)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 05 Sep 2024 17:11:22 +0200

exactimage (1.0.2-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

  [ Sven Eckelmann ]
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:48:30 +0100

exactimage (1.0.2-10) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove overrides for lintian tags that are no longer supported.

  [ Sven Eckelmann ]
  * debian/control:
    - Remove constraints unnecessary since buster (oldstable):
      + exactimage-perl: Drop versioned constraint on exactimage-perl in
        Breaks + Replaces.
    - Replace Build-Depends libtiff5-dev with libtiff-dev
    - Replace Build-Depends libfreetype6-dev with libfreetype-dev
    - Upgraded to policy 4.6.1, no changes required
    - Drop unused lintian override spelling-error-in-binary
  * debian/copyright:
    - Update copyright years to 2022

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:23:26 +0100

exactimage (1.0.2-9) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.0, no changes required
    - Switch to correct DEP-14 unstable branch name
    - Remove versioned constraints unnecessary since buster
  * debian/patches:
    - Add openexr-Fix-FTBFS-due-to-usage-of-deprecated-Int64-data-t.patch,
      Fix FTBFS due to usage of deprecated Int64 data types (Closes: #1017510)
    - Add code25i-Fix-const-initialization-of-non-integral-static-v.patch,
      Fix const initialization of non-integral static variables

 -- Sven Eckelmann <sven@narfation.org>  Wed, 17 Aug 2022 12:48:23 +0200

exactimage (1.0.2-8) unstable; urgency=medium

  * debian/control
    - Move repository to from ecsv-guest to ecsv salsa user
    - Upgraded to policy 4.5.0, no changes required
    - Switch to debhelper compat 13
  * debian/copyright
    - Update copyright years to 2020
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/rules:
    - Drop default flag --as-needed from linker flags
    - Add -fpermissive to fix FTBFS due to missing C++11 "constexp"
  * debian/patches:
    - Add adapt-for-nicer-per-file-_C-FLAGS-per-source-input-name.patch,
      added-fpermissive-where-currently-necessary.patch,
      if-we-can-not-easily-use-the-input-module-name-for-C-FLAS.patch,
      Updated-per-file-C-FLAGS-to-likely-final-delimiter.patch,
      Fix build with C++11 and OpenEXR 2.5.x (Closes: #968829)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Aug 2020 11:27:35 +0200
