=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://exactcode.com/opensource/exactimage/
Vcs-Git: https://salsa.debian.org/ecsv/exactimage.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/ecsv/exactimage
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-xml,
 docbook-xsl,
 libagg2-dev,
 libexpat-dev,
 libfreetype-dev,
 libgif-dev,
 libheif-dev,
 libjpeg-dev,
 libopenexr-dev,
 libperl-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 libxml2-utils,
 perl,
 pkgconf,
 python3-all-dev,
 python3-setuptools,
 swig,
 xsltproc,

Package: exactimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: libexactimage-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: python3-exactimage
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: fast image manipulation library (Python3 bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python3 bindings.
